Package org.codehaus.groovy.antlr

# Interface AntlrASTProcessor

All Known Implementing Classes:
  `AntlrASTProcessSnippets`, `FlatNodeListTraversal`, `PreOrderTraversal`, `SourceCodeTraversal`, `TraversalHelper`

public interface AntlrASTProcessor
An interface for processing antlr AST objects

Author:
  Jeremy Rayner

## Method Summary

Modifier and Type
Method
Description
`antlr.collections.AST`
`process(antlr.collections.AST t)`
performs some processing on the supplied AST node.

## Method Details

### process

antlr.collections.AST process(antlr.collections.AST t)
performs some processing on the supplied AST node.

Parameters:
  `t` - the AST node to process.
Returns:
  possibly returns the AST modified or null, depends on the implementation.